Bug 134769 - Installation Error on Linux
Installation Error on Linux
Status: RESOLVED DUPLICATE of bug 123300
Product: installer
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@installer
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 12:09 UTC by shankar_mbn
Modified: 2008-05-13 13:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shankar_mbn 2008-05-09 12:09:34 UTC
I am attempting to install the netbeans 6.1 on Linux, it is showing this error. My jvm is 
$ java -version
java version "1.6.0_03"
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) Client VM (build 1.6.0_03-b05, mixed mode, sharing)

sh netbeans-6.1-linux.sh 
Configuring the installer...
Searching for JVM on the system...
Extracting installation data...
Running the installer wizard...

(<unknown>:9129): Gtk-WARNING **: Attempting to add a widget with type GtkButton to a GtkComboBoxEntry (need an instance
of GtkEntry or of a subclass)

(<unknown>:9129): Gtk-CRITICAL **: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE
(widget)' failed

(<unknown>:9129): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gdk_drawable_get_depth (window)' failed

(<unknown>:9129): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gdk_drawable_get_depth (window)' failed
Comment 1 dlipin 2008-05-09 13:57:00 UTC
shankar_mbn,

does the installer window appear? or the installer exit immediately after those messages?

Could you please run installer in verbose mode and attach out.txt file at this issue:
sh netbeans-6.1-linux.sh --verbose --output out.txt

Those messages are just JDK/GTK warnings, they do not affect any functionality.

Thanks in advance,
Dmitry 
Comment 2 dlipin 2008-05-13 13:29:19 UTC
reported by shankar_mbn:

> I was using jdk 5, now I changed it jdk 6 it is working fine with installer. 
> I think there is some critical bug in jdk which works with jdk 4 and jdk 6 but not in jdk 5. 
> And even that bug is fix delivered in jdk 5.
> I think this is not a problem in netbeans and does not effect the netbeans functionality.


For me this issue looks very similar to Issue 123300.

*** This issue has been marked as a duplicate of 123300 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo